Typography

Vue Bootstrap 5 Typography

Documentation and examples for Bootstrap typography, including global settings, headings, body text, lists, and more.

Global settings:

MDB sets basic global display, typography, and link styles. When more control is needed, check out the textual utility classes.

  • For a more inclusive and accessible type scale, we assume the browser default root font-size (typically 16px) so visitors can customize their browser defaults as needed.
  • Use the $font-family-base, $font-size-base, and $line-height-base attributes as our typographic base applied to the <body>.
  • Set the global link color via $link-color and apply link underlines only on :hover.
  • Use $body-bg to set a background-color on the <body> (#fff by default).

These styles can be found within _reboot.scss, and the global variables are defined in _variables.scss. Make sure to set $font-size-base in rem.


Basic composition

An example composition of how your document may look like.

Main website heading (h1)

Website subheading (h4)


Section heading (h3)


Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?

Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?

Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?


Headings

All HTML headings, <h1> through <h6>, are available.

Heading Example
<h1></h1> h1. MDB heading
<h2></h2> h2. MDB heading
<h3></h3> h3. MDB heading
<h4></h4> h4. MDB heading
<h5></h5> h5. MDB heading
<h6></h6> h6. MDB heading
        
            
          <template>
            <h1>h1. MDB heading</h1>
            <h2>h2. MDB heading</h2>
            <h3>h3. MDB heading</h3>
            <h4>h4. MDB heading</h4>
            <h5>h5. MDB heading</h5>
            <h6>h6. MDB heading</h6>
          </template>
        
        
    

Styled headings

.h1 through .h6 classes are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.

h1. MDB heading


h2. MDB heading


h3. MDB heading


h4. MDB heading


h5. MDB heading


h6. MDB heading

        
            
            <template>
              <p class="h1">h1. MDB heading</p>
              <p class="h2">h2. MDB heading</p>
              <p class="h3">h3. MDB heading</p>
              <p class="h4">h4. MDB heading</p>
              <p class="h5">h5. MDB heading</p>
              <p class="h6">h6. MDB heading</p>
            </template>
          
        
    

Customizing headings

Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.

Fancy display heading With faded secondary text

        
            
            <template>
              <h3>
                Fancy display heading
                <small class="text-muted">With faded secondary text</small>
              </h3>
            </template>
          
        
    

Display headings

Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a display heading—a larger, slightly more opinionated heading style.

Display 1
Display 2
Display 3
Display 4
Display 5
Display 6
        
            
          <template>
            <h1 class="display-1">Display 1</h1>
            <h1 class="display-2">Display 2</h1>
            <h1 class="display-3">Display 3</h1>
            <h1 class="display-4">Display 4</h1>
            <h1 class="display-5">Display 5</h1>
            <h1 class="display-6">Display 6</h1>
          </template>
        
        
    

Display headings are configured via the $display-font-sizes Sass map and two variables, $display-font-weight and $display-line-height.

        
            
          $display-font-sizes: (
            1: 5rem,
            2: 4.5rem,
            3: 4rem,
            4: 3.5rem,
            5: 3rem,
            6: 2.5rem
          );

          $display-font-weight: 300;
          $display-line-height: $headings-line-height;
        
        
    

Lead

Make a paragraph stand out by adding .lead.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.

        
            
          <template>
            <p class="lead">
              Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis,
              est non commodo luctus.
            </p>
          </template>
        
        
    

Inline text elements

Styling for common inline HTML5 elements.

You can use the mark tag to highlight text.

This line of text is meant to be treated as deleted text.

This line of text is meant to be treated as no longer accurate.

This line of text is meant to be treated as an addition to the document.

This line of text will render as underlined

This line of text is meant to be treated as fine print.

This line rendered as bold text.

This line rendered as italicized text.

        
            
          <template>
            <p>You can use the mark tag to <mark>highlight</mark> text.</p>
            <p><del>This line of text is meant to be treated as deleted text.</del></p>
            <p>
              <s>This line of text is meant to be treated as no longer accurate.</s>
            </p>
            <p>
              <ins>This line of text is meant to be treated as an addition to the document.</ins>
            </p>
            <p><u>This line of text will render as underlined</u></p>
            <p>
              <small>This line of text is meant to be treated as fine print.</small>
            </p>
            <p><strong>This line rendered as bold text.</strong></p>
            <p><em>This line rendered as italicized text.</em></p>
          </template>
        
        
    

Beware that those tags should be used for semantic purpose:

  • <mark> represents text which is marked or highlighted for reference or notation purposes.
  • <small> represents side-comments and small print, like copyright and legal text.
  • <s> represents element that are no longer relevant or no longer accurate.
  • <u> represents a span of inline text which should be rendered in a way that indicates that it has a non-textual annotation.

If you want to style your text, you should use the following classes instead:

  • .mark will apply the same styles as <mark>.
  • .small will apply the same styles as <small>.
  • .text-decoration-underline will apply the same styles as <u>.
  • .text-decoration-line-through will apply the same styles as <s>.

Notes

Notes are small components very helpful in inserting an additional piece of information.

Note primary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note secondary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note success: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note danger: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note warning: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note info: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note light: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

        
            
          <template>
            <p class="note note-primary">
              <strong>Note primary:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing
              elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
              necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis
              soluta porro?
            </p>

            <p class="note note-secondary">
              <strong>Note secondary:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing
              elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
              necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis
              soluta porro?
            </p>

            <p class="note note-success">
              <strong>Note success:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing
              elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
              necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis
              soluta porro?
            </p>

            <p class="note note-danger">
              <strong>Note danger:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing
              elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
              necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis
              soluta porro?
            </p>

            <p class="note note-warning">
              <strong>Note warning:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing
              elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
              necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis
              soluta porro?
            </p>

            <p class="note note-info">
              <strong>Note info:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit.
              Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus
              delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?
            </p>

            <p class="note note-light">
              <strong>Note light:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit.
              Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus
              delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?
            </p>
          </template>
        
        
    

Text utilities

Change text alignment, transform, style, weight, line-height, decoration and color with our text utilities and color utilities.


Abbreviations

Stylized implementation of HTML’s <abbr> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline and gain a help cursor to provide additional context on hover and to users of assistive technologies.

Add .initialism to an abbreviation for a slightly smaller font-size.

attr

HTML

        
            
          <template>
            <p><abbr title="attribute">attr</abbr></p>
            <p>
              <abbr title="HyperText Markup Language" class="initialism">HTML</abbr>
            </p>
          </template>
        
        
    

Blockquotes

For quoting blocks of content from another source within your document. Wrap <blockquote class="blockquote"> around any HTML as the quote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
          <template>
            <blockquote class="blockquote">
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a
                ante.
              </p>
            </blockquote>
          </template>
        
        
    

Naming a source

The HTML spec requires that blockquote attribution be placed outside the <blockquote>. When providing attribution, wrap your <blockquote> in a <figure> and use a <figcaption> or a block level element (e.g., <p>) with the .blockquote-footer class. Be sure to wrap the name of the source work in <cite> as well.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
            <template>
              <figure>
                <blockquote class="blockquote">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a
                    ante.
                  </p>
                </blockquote>
                <figcaption class="blockquote-footer">
                  Someone famous in <cite title="Source Title">Source Title</cite>
                </figcaption>
              </figure>
            </template>
          
        
    

Alignment

Use text utilities as needed to change the alignment of your blockquote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
            <template>
              <figure class="text-center">
                <blockquote class="blockquote">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a
                    ante.
                  </p>
                </blockquote>
                <figcaption class="blockquote-footer">
                  Someone famous in <cite title="Source Title">Source Title</cite>
                </figcaption>
              </figure>
            </template>
          
        
    

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
            <template>
              <figure class="text-end">
                <blockquote class="blockquote">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a
                    ante.
                  </p>
                </blockquote>
                <figcaption class="blockquote-footer">
                  Someone famous in <cite title="Source Title">Source Title</cite>
                </figcaption>
              </figure>
            </template>
          
        
    

Lists

Unstyled

Remove the default list-style and left margin on list items (immediate children only). This only applies to immediate children list items, meaning you will need to add the class for any nested lists as well.

  • Lorem ipsum dolor sit amet
  • Consectetur adipiscing elit
  • Integer molestie lorem at massa
  • Facilisis in pretium nisl aliquet
  • Nulla volutpat aliquam velit
    • Phasellus iaculis neque
    • Purus sodales ultricies
    • Vestibulum laoreet porttitor sem
    • Ac tristique libero volutpat at
  • Faucibus porta lacus fringilla vel
  • Aenean sit amet erat nunc
  • Eget porttitor lorem
        
            
            <template>
              <ul class="list-unstyled">
                <li>Lorem ipsum dolor sit amet</li>
                <li>Consectetur adipiscing elit</li>
                <li>Integer molestie lorem at massa</li>
                <li>Facilisis in pretium nisl aliquet</li>
                <li>
                  Nulla volutpat aliquam velit
                  <ul>
                    <li>Phasellus iaculis neque</li>
                    <li>Purus sodales ultricies</li>
                    <li>Vestibulum laoreet porttitor sem</li>
                    <li>Ac tristique libero volutpat at</li>
                  </ul>
                </li>
                <li>Faucibus porta lacus fringilla vel</li>
                <li>Aenean sit amet erat nunc</li>
                <li>Eget porttitor lorem</li>
              </ul>
            </template>
          
        
    

Inline

Remove a list’s bullets and apply some light margin with a combination of two classes, .list-inline and .list-inline-item.

  • Lorem ipsum
  • Phasellus iaculis
  • Nulla volutpat
        
            
            <template>
              <ul class="list-inline">
                <li class="list-inline-item">Lorem ipsum</li>
                <li class="list-inline-item">Phasellus iaculis</li>
                <li class="list-inline-item">Nulla volutpat</li>
              </ul>
            </template>
          
        
    

With icons

By combining list-unstyled class together with our icons you can create a custom lists with icons.

  • What is the latest version?
  • What are the changes in the latest version compared to the previous one?
  • Is the latest version stable already?
        
            
    
              <ul class="list-unstyled">
                <li class="mb-1"><i class="fas fa-question-circle me-2 text-warning"></i>What is the latest version?</li>
                <li class="mb-1"><i class="fas fa-question-circle me-2 text-warning"></i>What are the changes in the latest version compared to the previous one?</li>
                <li class="mb-1"><i class="fas fa-question-circle me-2 text-warning"></i>Is the latest version stable already?</li>
              </ul>
    
              
        
    
  • Now it is even easier, lighter and better
  • Improved documentation
  • Improved modularity
        
            
    
              <ul class="list-unstyled">
                <li class="mb-1"><i class="fas fa-long-arrow-alt-right me-2 text-info"></i>Now it is even easier, lighter and better</li>
                <li class="mb-1"><i class="fas fa-long-arrow-alt-right me-2 text-info"></i>Improved documentation</li>
                <li class="mb-1"><i class="fas fa-long-arrow-alt-right me-2 text-info"></i>Improved modularity</li>
              </ul>
    
              
        
    
  • Hundreds of additional quality components
  • Much better design
  • Integration with TypeScript
        
            
    
              <ul class="list-unstyled">
                <li class="mb-1"><i class="fas fa-check-circle me-2 text-success"></i>Hundreds of additional quality components</li>
                <li class="mb-1"><i class="fas fa-check-circle me-2 text-success"></i>Much better design</li>
                <li class="mb-1"><i class="fas fa-check-circle me-2 text-success"></i>Integration with TypeScript</li>
              </ul>
    
              
        
    

Description list alignment

Align terms and descriptions horizontally by using our grid system’s predefined classes (or semantic mixins). For longer terms, you can optionally add a .text-truncate class to truncate the text with an ellipsis.

Description lists
A description list is perfect for defining terms.
Euismod

Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.

Donec id elit non mi porta gravida at eget metus.

Malesuada porta
Etiam porta sem malesuada magna mollis euismod.
Truncated term is truncated
Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.
Nesting
Nested definition list
Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
        
            
            <template>
              <dl class="row">
                <dt class="col-sm-3">Description lists</dt>
                <dd class="col-sm-9">A description list is perfect for defining terms.</dd>

                <dt class="col-sm-3">Euismod</dt>
                <dd class="col-sm-9">
                  <p>
                    Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.
                  </p>
                  <p>Donec id elit non mi porta gravida at eget metus.</p>
                </dd>

                <dt class="col-sm-3">Malesuada porta</dt>
                <dd class="col-sm-9">Etiam porta sem malesuada magna mollis euismod.</dd>

                <dt class="col-sm-3 text-truncate">Truncated term is truncated</dt>
                <dd class="col-sm-9">
                  Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut
                  fermentum massa justo sit amet risus.
                </dd>

                <dt class="col-sm-3">Nesting</dt>
                <dd class="col-sm-9">
                  <dl class="row">
                    <dt class="col-sm-4">Nested definition list</dt>
                    <dd class="col-sm-8">
                      Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
                    </dd>
                  </dl>
                </dd>
              </dl>
            </template>
          
        
    

If you want to support our friends from TW Elements you can also check out the Tailwind typography documentation.


CSS

Variables

        
            
              // .note
              --#{$prefix}note-padding: #{$note-padding};
              --#{$prefix}note-border-width: #{$note-border-width};
              --#{$prefix}note-border-radius: #{$note-border-radius};
              --#{$prefix}note-strong-font-weight: #{$note-strong-font-weight};
            
        
    

SCSS variables

        
            
            $note-padding: 10px;
            $note-border-width: 6px;
            $note-border-radius: 5px;
            $note-strong-font-weight: 600;

Typography

React Bootstrap 5 Typography component

Documentation and examples for Bootstrap typography, including global settings, headings, body text, lists, and more.

Global settings:

MDB sets basic global display, typography, and link styles. When more control is needed, check out the textual utility classes.

  • For a more inclusive and accessible type scale, we assume the browser default root font-size (typically 16px) so visitors can customize their browser defaults as needed.
  • Use the $font-family-base, $font-size-base, and $line-height-base attributes as our typographic base applied to the <body>.
  • Set the global link color via $link-color.
  • Use $body-bg to set a background-color on the <body> (#fff by default).

These styles can be found within _reboot.scss, and the global variables are defined in _variables.scss. Make sure to set $font-size-base in rem.


Basic composition

An example composition of how your document may look like.

Main website heading (h1)

Website subheading (h4)


Section heading (h3)


Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?

Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?

Component heading (h5)

Component subheading

(p + .small .text-muted .text-uppercase)

Component alternative subheading (h6)

Lorem, ipsum dolor sit amet consectetur adipisicing elit. A nemo commodi odio veniam nisi? Cupiditate nobis doloremque unde in ut, consequatur reprehenderit saepe iure perspiciatis, veniam facilis asperiores deleniti at?


Headings

All HTML headings, <h1> through <h6>, are available.

Heading Example
<h1></h1> h1. MDB heading
<h2></h2> h2. MDB heading
<h3></h3> h3. MDB heading
<h4></h4> h4. MDB heading
<h5></h5> h5. MDB heading
<h6></h6> h6. MDB heading
        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <table className='table'>
                  <thead>
                    <tr>
                      <th>Heading</th>
                      <th>Example</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>
                        &lt;h1&gt;&lt;/h1&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h1'>h1. MDB heading</MDBTypography>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        &lt;h2&gt;&lt;/h2&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h2'>h2. MDB heading</MDBTypography>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        &lt;h3&gt;&lt;/h3&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h3'>h3. MDB heading</MDBTypography>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        &lt;h4&gt;&lt;/h4&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h4'>h4. MDB heading</MDBTypography>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        &lt;h5&gt;&lt;/h5&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h5'>h5. MDB heading</MDBTypography>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        &lt;h6&gt;&lt;/h6&gt;
                      </td>
                      <td>
                        <MDBTypography tag='h6'>h6. MDB heading</MDBTypography>
                      </td>
                    </tr>
                  </tbody>
                </table>
              );
            }
          
        
    

Styled headings

.h1 through .h6 classes are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.

h1. MDB heading


h2. MDB heading


h3. MDB heading


h4. MDB heading


h5. MDB heading


h6. MDB heading

        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <>
                    <MDBTypography variant='h1'>h1. MDB heading</MDBTypography>
                    <hr />
                    <MDBTypography variant='h2'>h2. MDB heading</MDBTypography>
                    <hr />
                    <MDBTypography variant='h3'>h3. MDB heading</MDBTypography>
                    <hr />
                    <MDBTypography variant='h4'>h4. MDB heading</MDBTypography>
                    <hr />
                    <MDBTypography variant='h5'>h5. MDB heading</MDBTypography>
                    <hr />
                    <MDBTypography variant='h6'>h6. MDB heading</MDBTypography>
                  </>
                );
              }
            
        
    

Customizing headings

Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.

Fancy display heading With faded secondary text

        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography tag='h3' className='mb-0'>
                    Fancy display heading
                    <MDBTypography tag='small' className='text-muted'>
                      With faded secondary text
                    </MDBTypography>
                  </MDBTypography>
                );
              }
            
        
    

Display headings

Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a display heading—a larger, slightly more opinionated heading style.

Display 1
Display 2
Display 3
Display 4
Display 5
Display 6
        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <>
                  <MDBTypography tag='div' className='display-1 pb-3 mb-3 border-bottom'>
                    Display 1
                  </MDBTypography>
                  <MDBTypography tag='div' className='display-2 pb-3 mb-3 border-bottom'>
                    Display 2
                  </MDBTypography>
                  <MDBTypography tag='div' className='display-3 pb-3 mb-3 border-bottom'>
                    Display 3
                  </MDBTypography>
                  <MDBTypography tag='div' className='display-4 pb-3 mb-3 border-bottom'>
                    Display 4
                  </MDBTypography>
                  <MDBTypography tag='div' className='display-5 pb-3 mb-3 border-bottom'>
                    Display 5
                  </MDBTypography>
                  <MDBTypography tag='div' className='display-6'>
                    Display 6
                  </MDBTypography>
                </>
              );
            }
          
        
    

Display headings are configured via the $display-font-sizes Sass map and two variables, $display-font-weight and $display-line-height.

        
            
            $display-font-sizes: (
              1: 5rem,
              2: 4.5rem,
              3: 4rem,
              4: 3.5rem,
              5: 3rem,
              6: 2.5rem
            );

            $display-font-weight: 300;
            $display-line-height: $headings-line-height;
          
        
    

Lead

Make a paragraph stand out by adding .lead.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.

        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <MDBTypography className='lead mb-0'>
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo
                  luctus.
                </MDBTypography>
              );
            }
          
        
    

Inline text elements

Styling for common inline HTML5 elements.

You can use the mark tag to highlight text.

This line of text is meant to be treated as deleted text.

This line of text is meant to be treated as no longer accurate.

This line of text is meant to be treated as an addition to the document.

This line of text will render as underlined

This line of text is meant to be treated as fine print.

This line rendered as bold text.

This line rendered as italicized text.

        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <>
                  <MDBTypography>
                    You can use the mark tag to <MDBTypography tag='mark'>highlight</MDBTypography> text.
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='del'>This line of text is meant to be treated as deleted text.</MDBTypography>
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='s'>This line of text is meant to be treated as no longer accurate.</MDBTypography>
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='ins'>
                      This line of text is meant to be treated as an addition to the document.
                    </MDBTypography>
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='u'>This line of text will render as underlined</MDBTypography>
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='small'>This line of text is meant to be treated as fine print.</MDBTypography>
                  </MDBTypography>
                  <MDBTypography>
                    <MDBTypography tag='strong'>This line rendered as bold text.</MDBTypography>
                  </MDBTypography>
                  <MDBTypography className='mb-0'>
                    <MDBTypography tag='em'>This line rendered as italicized text.</MDBTypography>
                  </MDBTypography>
                </>
              );
            }
          
        
    

Beware that those tags should be used for semantic purpose:

  • <mark> represents text which is marked or highlighted for reference or notation purposes.
  • <small> represents side-comments and small print, like copyright and legal text.
  • <s> represents element that are no longer relevant or no longer accurate.
  • <u> represents a span of inline text which should be rendered in a way that indicates that it has a non-textual annotation.

If you want to style your text, you should use the following classes instead:

  • .mark will apply the same styles as <mark>.
  • .small will apply the same styles as <small>.
  • .text-decoration-underline will apply the same styles as <u>.
  • .text-decoration-line-through will apply the same styles as <s>.

Notes

Notes are small components very helpful in inserting an additional piece of information.

Note primary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note secondary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note success: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note danger: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note warning: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note info: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note light: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note dark: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <>
                  <MDBTypography note noteColor='primary'>
                    <strong>Note primary:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='secondary'>
                    <strong>Note secondary:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='success'>
                    <strong>Note success:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='danger'>
                    <strong>Note danger:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='warning'>
                    <strong>Note warning:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='info'>
                    <strong>Note info:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
      
                  <MDBTypography note noteColor='light' className='mb-0'>
                    <strong>Note light:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>

                  <MDBTypography note noteColor='dark' color='secondary' className='mb-0'>
                    <strong>Note dark:</strong> Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque
                    officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi
                    consequatur esse, sint perspiciatis soluta porro?
                  </MDBTypography>
                </>
              );
            }
          
        
    

Text utilities

Change text alignment, transform, style, weight, line-height, decoration and color with our text utilities and color utilities.


Abbreviations

Stylized implementation of HTML’s <abbr> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline and gain a help cursor to provide additional context on hover and to users of assistive technologies.

Add .initialism to an abbreviation for a slightly smaller font-size.

attr

HTML

        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <>
                  <MDBTypography tag="p">
                    <abbr title='attribute'>attr</abbr>
                  </MDBTypography>
                  <MDBTypography tag="p" className='mb-0'>
                    <abbr title='HyperText Markup Language' className='initialism'>
                      HTML
                    </abbr>
                  </MDBTypography>
                </>
              );
            }
          
        
    

Blockquotes

For quoting blocks of content from another source within your document. Wrap <blockquote class="blockquote"> around any HTML as the quote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
            import React from 'react';
            import { MDBTypography } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <MDBTypography blockquote className='mb-0'>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                </MDBTypography>
              );
            }
          
        
    

Naming a source

The HTML spec requires that blockquote attribution be placed outside the <blockquote>. When providing attribution, wrap your <blockquote> in a <figure> and use a <figcaption> or a block level element (e.g., <p>) with the .blockquote-footer class. Be sure to wrap the name of the source work in <cite> as well.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <figure className='mb-0'>
                    <MDBTypography blockquote>
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                    </MDBTypography>
                    <figcaption className='blockquote-footer mb-0'>
                      Someone famous in <cite title='Source Title'>Source Title</cite>
                    </figcaption>
                  </figure>
                );
              }
            
        
    

Alignment

Use text utilities as needed to change the alignment of your blockquote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <figure className='text-center mb-0'>
                    <MDBTypography blockquote>
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                    </MDBTypography>
                    <figcaption className='blockquote-footer mb-0'>
                      Someone famous in <cite title='Source Title'>Source Title</cite>
                    </figcaption>
                  </figure>
                );
              }
            
        
    

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <figure className='text-end mb-0'>
                    <MDBTypography blockquote>
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                    </MDBTypography>
                    <figcaption className='blockquote-footer mb-0'>
                      Someone famous in <cite title='Source Title'>Source Title</cite>
                    </figcaption>
                  </figure>
                );
              }
            
        
    

Lists

Unstyled

Remove the default list-style and left margin on list items (immediate children only). This only applies to immediate children list items, meaning you will need to add the class for any nested lists as well.

  • Lorem ipsum dolor sit amet
  • Consectetur adipiscing elit
  • Integer molestie lorem at massa
  • Facilisis in pretium nisl aliquet
  • Nulla volutpat aliquam velit
    • Phasellus iaculis neque
    • Purus sodales ultricies
    • Vestibulum laoreet porttitor sem
    • Ac tristique libero volutpat at
  • Faucibus porta lacus fringilla vel
  • Aenean sit amet erat nunc
  • Eget porttitor lorem
        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography listUnStyled className='mb-0'>
                    <li>Lorem ipsum dolor sit amet</li>
                    <li>Consectetur adipiscing elit</li>
                    <li>Integer molestie lorem at massa</li>
                    <li>Facilisis in pretium nisl aliquet</li>
                    <li>
                      Nulla volutpat aliquam velit
                      <ul>
                        <li>Phasellus iaculis neque</li>
                        <li>Purus sodales ultricies</li>
                        <li>Vestibulum laoreet porttitor sem</li>
                        <li>Ac tristique libero volutpat at</li>
                      </ul>
                    </li>
                    <li>Faucibus porta lacus fringilla vel</li>
                    <li>Aenean sit amet erat nunc</li>
                    <li>Eget porttitor lorem</li>
                  </MDBTypography>
                );
              }
            
        
    

Inline

Remove a list’s bullets and apply some light margin with a combination of two classes, .list-inline and .list-inline-item.

  • Lorem ipsum
  • Phasellus iaculis
  • Nulla volutpat
        
            
              import React from 'react';
              import { MDBTypography } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography listInLine className='mb-0'>
                    <li className='list-inline-item'>Lorem ipsum</li>
                    <li className='list-inline-item'>Phasellus iaculis</li>
                    <li className='list-inline-item'>Nulla volutpat</li>
                  </MDBTypography>
                );
              }
            
        
    

With icons

By combining list-unstyled class together with our icons you can create a custom lists with icons.

  • What is the latest version?
  • What are the changes in the latest version compared to the previous one?
  • Is the latest version stable already?
        
            
              import React from 'react';
              import { MDBTypography, MDBIcon } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography listUnStyled className='mb-0'>
                    <li className='mb-1'>
                      <MDBIcon icon='question-circle' className='me-2 text-warning' />What is the latest version?
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='question-circle' className='me-2 text-warning' />What are the changes in the latest version
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='question-circle' className='me-2 text-warning' />Is the latest version stable already?
                    </li>
                  </MDBTypography>
                );
              }
            
        
    
  • Now it is even easier, lighter and better
  • Improved documentation
  • Improved modularity
        
            
              import React from 'react';
              import { MDBTypography, MDBIcon } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography listUnStyled className='mb-0'>
                    <li className='mb-1'>
                      <MDBIcon icon='long-arrow-alt-right' className='me-2 text-info' />Now it is even easier, lighter and better
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='long-arrow-alt-right' className='me-2 text-info' />Improved documentation
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='long-arrow-alt-right' className='me-2 text-info' />Improved modularity
                    </li>
                  </MDBTypography>
                );
              }
            
        
    
  • Hundreds of additional quality components
  • Much better design
  • Integration with TypeScript
        
            
              import React from 'react';
              import { MDBTypography, MDBIcon } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBTypography listUnStyled className='mb-0'>
                    <li className='mb-1'>
                      <MDBIcon icon='check-circle' className='me-2 text-success' />Hundreds of additional quality components
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='check-circle' className='me-2 text-success' />Much better design
                    </li>
                    <li className='mb-1'>
                      <MDBIcon icon='check-circle' className='me-2 text-success' />Integration with TypeScript
                    </li>
                  </MDBTypography>
                );
              }
            
        
    

Description list alignment

Align terms and descriptions horizontally by using our grid system’s predefined classes (or semantic mixins). For longer terms, you can optionally add a .text-truncate class to truncate the text with an ellipsis.

Description lists
A description list is perfect for defining terms.
Euismod

Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.

Donec id elit non mi porta gravida at eget metus.

Malesuada porta
Etiam porta sem malesuada magna mollis euismod.
Truncated term is truncated
Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.
Nesting
Nested definition list
Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
        
            
              import React from 'react';
              import { MDBTypography, MDBRow, MDBCol } from 'mdb-react-ui-kit';

              export default function App() {
                return (
                  <MDBRow tag='dl'>
                    <MDBCol tag='dt' sm='3'>
                      Description lists
                    </MDBCol>
                    <MDBCol tag='dd' sm='9'>
                      A description list is perfect for defining terms.
                    </MDBCol>
    
                    <MDBCol tag='dt' sm='3'>
                      Euismod
                    </MDBCol>
                    <MDBCol tag='dd' sm='9'>
                      <p>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</p>
                      <p>Donec id elit non mi porta gravida at eget metus.</p>
                    </MDBCol>
    
                    <MDBCol tag='dt' sm='3'>
                      Malesuada porta
                    </MDBCol>
                    <MDBCol tag='dd' sm='9'>
                      Etiam porta sem malesuada magna mollis euismod.
                    </MDBCol>
    
                    <MDBCol tag='dt' sm='3' className='text-truncate'>
                      Truncated term is truncated
                    </MDBCol>
                    <MDBCol tag='dd' sm='9'>
                      Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
                      amet risus.
                    </MDBCol>
    
                    <MDBCol tag='dt' sm='3'>
                      Nesting
                    </MDBCol>
                    <MDBCol tag='dd' sm='9'>
                      <MDBRow tag='dl'>
                        <MDBCol tag='dt' sm='4'>
                          Nested definition list
                        </MDBCol>
                        <MDBCol tag='dd' sm='8'>
                          Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
                        </MDBCol>
                      </MDBRow>
                    </MDBCol>
                  </MDBRow>
                );
              }
            
        
    

Typography - API


Import

        
            
            import { MDBTypography } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBTypography

Name Type Default Description Example
variant 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' '' Defines a variant for the MDBTypography <MDBTypography variant="h1" />
color 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'light' | 'dark' | 'muted' | 'white' | 'info' | 'body' | 'black-50' | 'white-50' '' Sets the color of the text inside the MDBTypography <MDBTypography color="primary" />
blockquote Boolean '' Creates a blockquote <MDBTypography blockquote />
note Boolean '' Creates a note <MDBTypography note />
noteColor 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'light' | 'dark' | 'muted' | 'white' | 'info' | 'transparent' '' Sets color of the note <MDBTypography note noteColor="primary" />
listUnStyled Boolean '' Creates an unstyled list from the MDBTypography <MDBTypography listUnStyled />
listInLine Boolean '' Creates an inline list from the MDBTypography <MDBTypography listInLine />
tag String 'span' Defines tag of the MDBTypography element <MDBTypography tag="section" />